apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-app
  labels:
    app: my-app
spec:
  replicas:
  selector:
    matchLabels:
      app: my-app
  template:
    metadata:
      labels:
        app: my-app
    spec:
      imagePullSecrets:
      - name: my-registry-key
      containers:
      - name: my-app
        image: 458736181614.dkr.ecr.us-east-1.amazonaws.com/my-app:1.1
        imagePullPolicy: Always
        ports:
        - containerPort: 3000
